privileged helper has wrong version

Use this forum for an overview of issues and to report new ones.
JayinTech
New Member
Posts: 1
Joined: Wed Sep 11, 2019 11:48 pm
Contact:

privileged helper has wrong version

Post by JayinTech » Sun Oct 20, 2019 7:20 pm

Hi,

I ran the updated to Cubase Pro 10.0.40 and when it gets to the additional content part of the install I get a popup window that says "Trying to install privileged Helper Tool. Please enter password.

I enter my MacOS password then get an error pop-up: "Steinberg Library Manager privileged helper has wrong version (-1,-1). Failed to establish privileged helper! Please get the latest Steinberg Library Manger and reinstall!"

So I download the latest version of the Library Manager v3.0.23 Build 206, and install. That goes ok. But then if I select any library in the Manager and click "Move", I get the same pop-up error (see attached image file)

I contacted Steinberg customer support and we emailed back & forth a few times. The last response was that the service tech was "sending this up the food chain to see what they can discover". Haven't heard back yet.

Cubase works. I haven't tested every single soundbank but my projects seem to be ok. But I do want to offload these sound libraries from my internal SSD to an external Thunderbolt drive.

Things I've tried:
  • First Aid in Disk Utility
    Manually change permissions on the /Library/ApplicationSupport/Steinberg folder to include read&write for my User Account.
    Reset/Verify permissions command from Terminal
    Cubase Update only file 10.0.40
    Search this forum
    Try running the Halion 6 installer v6.3 (same error popup when it gets to installing the content)
    Remove Cubase and run Cubase Full Installer 10.0.40
MacOS Mojave 10.14.6
Macbook Pro 15" i7 Radeon M370X
512GB SSD
Thunderbolt 2
Attachments
Screen Shot 2019-10-18.png
(1.02 MiB) Not downloaded yet

cyberblade
New Member
Posts: 2
Joined: Sun Jul 21, 2019 11:56 pm
Contact:

Re: privileged helper has wrong version

Post by cyberblade » Fri Nov 15, 2019 12:04 am

Hi JayinTech,

identical problem on my side. The problem first came up with the update to 10.0.40.
Got the same popup windows. The library manager ask for the password and then the message "Steinberg Library Manager privileged helper has wrong version (-1,-1). Failed to establish privileged helper! Please get the latest Steinberg Library Manger and reinstall!" pops up and content does not install.

I was hoping 10.5 will cure the problem but the same behavior happened during installing 10.5 update.

Then I completely removed Cubase 10 and tried an install from the fuzll 10.5 download – unfortunately same problem remains. Now Cubase is installed without any content.

Tried to fix permissions, update Halion 3 SE (same error), reinstall Library manager, new install from full install.

Steinberg customer support did not answer ticket (yet).

Any idea would be much appreciated.

Helmut

MacOS Mojave 10.14.6
iMac 5k 2017 i7 Radeon Pro 580
3TB Fusion Drive

User avatar
quantize
New Member
Posts: 36
Joined: Sun Dec 19, 2010 12:29 am
Contact:

Re: privileged helper has wrong version - short term solution

Post by quantize » Tue Dec 31, 2019 4:34 am

Yep!

Steinberg Library Manager 3.0.24 is a no go.

does not work...moving, removing...they all render this error - the privileged helper doesn't work - at least in mac osx

The quick fix is to revert to using Steinberg Library Manager 3.0.23 or even Steinberg Library Manager 3.0.22 - which both work perfectly.

Be warned - the Padshop Pro 2.0.1 update also installs this buggy .24 Library Manager, you have to delete it from your apps folder
and install 3.0.23 again to get any functionality.

The previous versions do not appear to be in the FTP archive.. but i kept a backup (of course), you can message me if desperate!
Cubase 10.5 / Pro Tools 12 / HALion 6 / Reason 11
Mac Pro 5,1 3.33 GHz 12-Core Intel Xeon (32GB Ram) OSX 10.13.6
UAD Apollo Quad, Motu 828 mkII & mk3 / Avid Artist Control / Blackmagic Intensity Pro

pincur
New Member
Posts: 1
Joined: Sat Jan 11, 2020 5:07 pm
Contact:

Re: privileged helper has wrong version

Post by pincur » Sat Jan 11, 2020 5:22 pm

Hi guys,

@Quantize - I am not able to send you a private message here (no idea why). Is there any way you could share v 3.0.22 or 3.0.23 Library Manager (for MacOSX) with me? My e-mail is pin18@wp.pl

User avatar
Jan Riesener
Moderator
Posts: 61
Joined: Tue Oct 08, 2013 3:50 pm
Contact:

Re: privileged helper has wrong version

Post by Jan Riesener » Mon Feb 03, 2020 3:24 pm

Hi,

please make sure that you have the latest Steinberg Library Manager installed:
A separate Download is available on the following website:

https://www.steinberg.net/index.php?id=14708&L=1

If the issue should persist afterwards please let us know which version of macOS you have on your system and if you have any additional antivirus, maintenance (ie. mackeeper etc.) or firewall software installed.

Cheers,

Jan
Jan Riesener, Steinberg Senior Tech Support
Steinberg Media Technologies GmbH
Hamburg, Germany

Connect with Steinberg on Facebook, YouTube, Twitter, Instagram, SoundCloud and Google+!

User avatar
Musicmould
Junior Member
Posts: 96
Joined: Sat Nov 24, 2018 3:18 pm
Location: Sweden
Contact:

Re: privileged helper has wrong version

Post by Musicmould » Mon Feb 03, 2020 3:42 pm

I too have that problem and it persists even when I have downloaded and installed latest version.

I bought the Absolute collection a couple of months ago. Can't even install it. :roll:
Last edited by Musicmould on Tue Feb 04, 2020 7:34 am, edited 2 times in total.
iMac Pro | 64Gb Ram | Radeon Pro Vega 56 8 GB | macOS 10.14.6 | Cubase Pro 10.0.50 / 10.5 | Pro Tools | Ableton Live | Logic Pro X | Studio One | Melodyne Studio | Revoice Pro | VSL Pro | UAD Apollo 8p+16 | 2xUAD Octo | Softube Console 1 | Motu Midi Express XT | Various drummachines, microphones, hardware synths & fx and way too many plugins |

"Without music, life would be a mistake".

popalauda
New Member
Posts: 8
Joined: Fri May 03, 2013 2:06 pm
Contact:

Re: privileged helper has wrong version

Post by popalauda » Mon Feb 03, 2020 7:59 pm

Same problem tonight as i'm installing the 10.5.10 update, can't finish the install (update of vst sound folders).
i'm on mac with catalina 10.15.3

User avatar
TelecasterTube
New Member
Posts: 44
Joined: Tue Oct 23, 2018 1:20 pm
Location: The Dutch Mountains
Contact:

Re: privileged helper has wrong version

Post by TelecasterTube » Mon Feb 03, 2020 9:48 pm

Same here... Installed latest version (mojave 10.14.6)

Dewdman42
Junior Member
Posts: 90
Joined: Wed May 16, 2018 5:38 pm
Contact:

Re: privileged helper has wrong version

Post by Dewdman42 » Tue Feb 04, 2020 3:46 am

same here. Update is Fubar. I can't believe Steinberg hasn't fixed this since 10.0.40
5,1 MacPro 12coreX 3.46ghz, 128gb ram, OSX 10.14, RX580 video, Cubase10, LogicPro, DP, StudioOne, VEP, Reaper, Dorico, NotePerformer, Finale, MuseScore, Notion, etc...

User avatar
Jan Riesener
Moderator
Posts: 61
Joined: Tue Oct 08, 2013 3:50 pm
Contact:

Re: privileged helper has wrong version

Post by Jan Riesener » Tue Feb 04, 2020 3:50 pm

Hi,

We are very sorry to hear that the issue persists on your systems.
Unfortunately we are unable to reproduce the issue on any mac in house, so we need to ask your for some manual file management.
The installer should usually clean up any old helper versions and replace them correctly.
Please delete the following files by hand, to make sure that they can be reinstalled:

/Library/LaunchDaemons/com.steinberg.HALionLibraryInstallerHelper.plist
/Library/PrivilegedHelperTools/com.steinberg.HALionLibraryInstallerHelper

Afterwards restart your computer to make sure that there is no open program blocking the files.
Then reinstall the Steinberg Library Manager with the installer from this page:

https://www.steinberg.net/index.php?id=14708&L=1

As stated above, you need to ensure that there is no interference by anti virus or maintenance programs (onyx, mackeeper etc.)
If the issue persists afterwards, please get in touch with our support department by opening a regular ticket.

Cheers,

Jan
Jan Riesener, Steinberg Senior Tech Support
Steinberg Media Technologies GmbH
Hamburg, Germany

Connect with Steinberg on Facebook, YouTube, Twitter, Instagram, SoundCloud and Google+!

StRHook
New Member
Posts: 21
Joined: Thu Apr 09, 2015 5:09 pm
Contact:

Re: privileged helper has wrong version

Post by StRHook » Tue Feb 04, 2020 4:41 pm

Jan Riesener wrote:
Tue Feb 04, 2020 3:50 pm
Hi,

We are very sorry to hear that the issue persists on your systems.
Unfortunately we are unable to reproduce the issue on any mac in house, so we need to ask your for some manual file management.
The installer should usually clean up any old helper versions and replace them correctly.
Please delete the following files by hand, to make sure that they can be reinstalled:

/Library/LaunchDaemons/com.steinberg.HALionLibraryInstallerHelper.plist
/Library/PrivilegedHelperTools/com.steinberg.HALionLibraryInstallerHelper

Afterwards restart your computer to make sure that there is no open program blocking the files.
Then reinstall the Steinberg Library Manager with the installer from this page:

https://www.steinberg.net/index.php?id=14708&L=1

As stated above, you need to ensure that there is no interference by anti virus or maintenance programs (onyx, mackeeper etc.)
If the issue persists afterwards, please get in touch with our support department by opening a regular ticket.

Cheers,

Jan

Hi Jan
The library manager issue is with me too, yet.
I had tried to follow your guide and My ELC is latest version, but not solved.

I had bought the expansion "bouncy vibration" but can't be installed.
can't be installed Cubase 10.5.10 pro, either.

How can I do?



My PC & OS
iMac 2014 i7 4G 32g
macOS 10.14 Mojave (latest)
Cubase 10 pro, 10.5 pro

Best,

Dewdman42
Junior Member
Posts: 90
Joined: Wed May 16, 2018 5:38 pm
Contact:

Re: privileged helper has wrong version

Post by Dewdman42 » Wed Feb 05, 2020 6:05 pm

I already tried removing both of those system files mentioned and installing fresh, but still it did not work. Dorico 3.1 also cannot install now even though previously it did. Well the app installs but no content is installed
5,1 MacPro 12coreX 3.46ghz, 128gb ram, OSX 10.14, RX580 video, Cubase10, LogicPro, DP, StudioOne, VEP, Reaper, Dorico, NotePerformer, Finale, MuseScore, Notion, etc...

Peacey
New Member
Posts: 21
Joined: Sat Apr 27, 2013 10:38 am
Contact:

Re: privileged helper has wrong version

Post by Peacey » Wed Feb 05, 2020 6:52 pm

Hey,

Getting exactly the same thing. Tried everything in this post. but still get the error. it's very irritating!
Cheers,

Peacey

=========================
Cubase Pro 10.5.5 | IMAC - Mojave 10.14.5| Intel Core I9 9900K p0 | 32GB RAM | RX580 8GB | | UAD Apollo duo 8 | Genelec M040 Monitors| a lot of SSD storage!

zipb
Junior Member
Posts: 146
Joined: Wed Dec 16, 2015 12:02 pm
Contact:

Re: privileged helper has wrong version

Post by zipb » Thu Feb 06, 2020 9:50 pm

I have the same problem: I've tried the two versions of the helper program on the Steinberg website, threw out the library files, cleared caches, all to no avail.
Irritating.
Desktop:
Gigabyte Z390 Designare/i9 9900k/OSX10.14.6/Cubase Pro 10.5.12/32 GB RAM/MSI AMD R480x/SSD's/Metric Halo ULN-8/UAD2 Quad
Laptop:
MacBook Pro 8,2/OSX10.12.6/8GB RAM/SSD/Metric Halo ULN-2

User avatar
jamesn81
Junior Member
Posts: 125
Joined: Tue Mar 22, 2011 5:30 am
Location: Brisbane, Australia
Contact:

Re: privileged helper has wrong version

Post by jamesn81 » Fri Feb 07, 2020 4:15 am

Same thing here trying to install any library I bought from Steinberg and also the 10.5.10 Cubase update.

EDIT: I wonder if anything to common to all of us if Steinberg can't replicate it?

I'm using library locations that aren't default - so mine are on an a hard drive other than the root drive.


popalauda
New Member
Posts: 8
Joined: Fri May 03, 2013 2:06 pm
Contact:

Re: privileged helper has wrong version

Post by popalauda » Fri Feb 07, 2020 8:46 am

I tried to delete the two halion files, restart & re-install but it can't finish the last part. Still the same issue.... :( annoying....

User avatar
jamesn81
Junior Member
Posts: 125
Joined: Tue Mar 22, 2011 5:30 am
Location: Brisbane, Australia
Contact:

Re: privileged helper has wrong version

Post by jamesn81 » Fri Feb 07, 2020 10:43 am

Jan Riesener wrote:
Tue Feb 04, 2020 3:50 pm
Hi,

We are very sorry to hear that the issue persists on your systems.
Unfortunately we are unable to reproduce the issue on any mac in house, so we need to ask your for some manual file management.
The installer should usually clean up any old helper versions and replace them correctly.
Please delete the following files by hand, to make sure that they can be reinstalled:

/Library/LaunchDaemons/com.steinberg.HALionLibraryInstallerHelper.plist
/Library/PrivilegedHelperTools/com.steinberg.HALionLibraryInstallerHelper

Afterwards restart your computer to make sure that there is no open program blocking the files.
Then reinstall the Steinberg Library Manager with the installer from this page:

https://www.steinberg.net/index.php?id=14708&L=1

As stated above, you need to ensure that there is no interference by anti virus or maintenance programs (onyx, mackeeper etc.)
If the issue persists afterwards, please get in touch with our support department by opening a regular ticket.

Cheers,

Jan
I have performed these steps, re-installed the latest library and cannot install RAST-A and a bunch of Groove Agent libraries I bought in the recent sale.

I'm on Mojave 10.14.6 - this is the first time in the history of using Steinberg (around 25 years) that I'm quite annoyed because I've purchased a whole bunch of stuff that I can't use.

I'm not doing anything wrong, and I'm not a newbie with computers or a newbie to using and managing Steinberg libraries.

It also prevents all the libraries installing from the latest 10.5.10 Cubase update.

This is a bug - a decent one, and it's impacting my very busy studio.
Screen Shot 2020-02-07 at 7.38.26 pm.png
(1.38 MiB) Not downloaded yet

zipb
Junior Member
Posts: 146
Joined: Wed Dec 16, 2015 12:02 pm
Contact:

Re: privileged helper has wrong version

Post by zipb » Fri Feb 07, 2020 11:40 pm

throwing out the latest Steinberg Library Manager(deleting from Applications) , downloading Steinberg Library Manager 3.0.23 via this page:
https://www.steinberg.net/en/support/co ... nager.html

Scroll down a bit on the page.

Open it. Keep it open. Launch Steinberg Download Assistant and installing the Retrologue content worked for me. Sequence presets are back.

Hope this helps.
Desktop:
Gigabyte Z390 Designare/i9 9900k/OSX10.14.6/Cubase Pro 10.5.12/32 GB RAM/MSI AMD R480x/SSD's/Metric Halo ULN-8/UAD2 Quad
Laptop:
MacBook Pro 8,2/OSX10.12.6/8GB RAM/SSD/Metric Halo ULN-2

User avatar
jamesn81
Junior Member
Posts: 125
Joined: Tue Mar 22, 2011 5:30 am
Location: Brisbane, Australia
Contact:

Re: privileged helper has wrong version

Post by jamesn81 » Sat Feb 08, 2020 6:43 am

zipb wrote:
Fri Feb 07, 2020 11:40 pm
throwing out the latest Steinberg Library Manager(deleting from Applications) , downloading Steinberg Library Manager 3.0.23 via this page:
https://www.steinberg.net/en/support/co ... nager.html

Scroll down a bit on the page.

Open it. Keep it open. Launch Steinberg Download Assistant and installing the Retrologue content worked for me. Sequence presets are back.

Hope this helps.
This WORKS.

So version 3.0.23 opens, I can suddenly see all of my Padshop libraries (perviously only default library was visible) and also I'm able to import the recent purchases that I made.

Something is up with 3.0.25 I'm afraid.

Thank you @zipb

TNM
Member
Posts: 240
Joined: Wed Sep 04, 2013 10:21 pm
Contact:

Re: privileged helper has wrong version

Post by TNM » Fri Feb 21, 2020 6:59 pm

I can't install anything on 10.14.6

Trying to install my absolute 4..

Everything fails with this message, and the library manager is already the latest version.

What on earth am I supposed to do? Would love to use the expensive collection I paid good money for. Infuriating

And here I was always complaining about Avid and buggy releases.. LOL. (although I am not laughing but rather sad as I want to use these sounds).

It fails even on halion 6 install let alone the library!.. Yes of course I put in my password correctly.

PS I manually gave it full disk access in security preferences in case that fixed it. Nope. Once again, ridiculous.

I flat out have never experienced such buggy software on my mac, EVER, as I have with steinberg the last few months.

Firstly, nothing elicenser working on the 16" macbook back in December, then, Cubase 10.5 demo being unusable (sluggish, beachballs) until suddenly a week or a bit longer ago there was an update to fix it, and now this. Does anything work properly?

Maybe those guys in the AXR topic are right.. i would have to be insane to go and buy a steinberg interface like I was planning to.
iMac Pro 8 core, 64GB ram, Vega 56, OS 10.14.6, Motu Microlite, Apollo 8, Motif MoxF6, more midi synths :)
MBP 15", 4 core, 16GB ram, 750M, OS 10.14.6, On board headphone out.

TNM
Member
Posts: 240
Joined: Wed Sep 04, 2013 10:21 pm
Contact:

Re: privileged helper has wrong version

Post by TNM » Fri Feb 21, 2020 7:07 pm

Jan Riesener wrote:
Mon Feb 03, 2020 3:24 pm
Hi,

please make sure that you have the latest Steinberg Library Manager installed:
A separate Download is available on the following website:

https://www.steinberg.net/index.php?id=14708&L=1

If the issue should persist afterwards please let us know which version of macOS you have on your system and if you have any additional antivirus, maintenance (ie. mackeeper etc.) or firewall software installed.

Cheers,

Jan
I just did that even though I already had 3.0.25 installed.

Same issue. I can't install anything I paid for. THANKS!

All specs in sig.
iMac Pro 8 core, 64GB ram, Vega 56, OS 10.14.6, Motu Microlite, Apollo 8, Motif MoxF6, more midi synths :)
MBP 15", 4 core, 16GB ram, 750M, OS 10.14.6, On board headphone out.

TNM
Member
Posts: 240
Joined: Wed Sep 04, 2013 10:21 pm
Contact:

Re: privileged helper has wrong version

Post by TNM » Fri Feb 21, 2020 7:19 pm

And guess what guys, I can't start a support ticket cause I am in Australia! It just gives me a link and asks me to contact the Australian distributor. Well Monday I am all day at hospital again for tests, but I'll place a call Tuesday. YEAH, like THEY are going to be able to fix THIS! They are just going to contact Steinberg and call me back a week later and not help at all.

I can contact Avid directly at any time and I never have to wait more than 24 hours.
That's made my decision for me once and for all.

I only updated to Absolute V4 to be compatible with current and future mac OS, but it doesn't work. at all! YAY! (not).

Nothing will install, nada. They all fail when "licenses manager installs helper tool" and i put in my password.No anti virus. I even disabled the built in OSX firewall which I really should never do.. No help.

As far as mackeeper, do you really think any Steinberg user would be dumb enough to have that malware on their mac? I don't.


Edit, the fix above won't work as it won't allow me to install 3.023 over 3.025.. I ran the installer and all seemed ok, but when I launch it's still 3.025.

There is no way around this.

Can I PLEASE use the EXPENSIVE vst library I PAID for? Do you guys even TEST this stuff? How can you release something like this?
iMac Pro 8 core, 64GB ram, Vega 56, OS 10.14.6, Motu Microlite, Apollo 8, Motif MoxF6, more midi synths :)
MBP 15", 4 core, 16GB ram, 750M, OS 10.14.6, On board headphone out.

TNM
Member
Posts: 240
Joined: Wed Sep 04, 2013 10:21 pm
Contact:

Re: privileged helper has wrong version

Post by TNM » Fri Feb 21, 2020 7:30 pm

Troll.

That's Steinberg's fault, no one else's.

Who cares if Melda is too lazy to notarise his stuff for Catalina..

That's his loss.

Anyway, not everyone with issues is on Catalina.. I'm not. The STEINBERG app is BROKEN.

Nothing to do with OSX other than crappy coding by STEINBERG. Capish?
iMac Pro 8 core, 64GB ram, Vega 56, OS 10.14.6, Motu Microlite, Apollo 8, Motif MoxF6, more midi synths :)
MBP 15", 4 core, 16GB ram, 750M, OS 10.14.6, On board headphone out.

Dewdman42
Junior Member
Posts: 90
Joined: Wed May 16, 2018 5:38 pm
Contact:

Re: privileged helper has wrong version

Post by Dewdman42 » Fri Feb 21, 2020 9:01 pm

I've tried to reinstall from scratch 10.5.12 and its even worse.

I can get it to install by manually copying all the VSTSound content ahead of time and then running the installer. it will install Cubase 10.5.12 and it appears to be working fine, but all Factory content for HalionSE, GrooveAgent, etc..is not recognized by Cubase.

Clearly the 10.5 installer is broken on OSX, I wish Steinberg would figure it out. Their support team did take a log zip file from me about a week ago to investigate but I never heard back. I was hoping 10.5.12 might fix it, but no...its actually worse than before. Before at least it recognized some of the content but gave some errors when loading. Now it doesn't even see anything at all for all the factory content. Library manager see it all just fine and reports now problem.

The problem with the funky dialog box during install is also shown if you try to use the MOVE command inside Library Manager.

broken steinberg.

Anyone know a way to manually get the content showing in cubase somehow?
5,1 MacPro 12coreX 3.46ghz, 128gb ram, OSX 10.14, RX580 video, Cubase10, LogicPro, DP, StudioOne, VEP, Reaper, Dorico, NotePerformer, Finale, MuseScore, Notion, etc...

Post Reply

Return to “Issues”

Who is online

Users browsing this forum: No registered users and 3 guests